### Hierarchy

- ValidatorResult

## Index

### Constructors

- constructor

### Properties

- disableFormat
- errors
- instance
- propertyPath
- schema
- throwError
- valid

### Methods

- addError
- toString

## Constructors

### constructor

- new ValidatorResult(instance: any, schema: Schema, options: Options, ctx: SchemaContext): ValidatorResult

- - Defined in node_modules/jsonschema/lib/index.d.ts:17

  #### Parameters

  - ##### instance: any

  - ##### schema: Schema

  - ##### options: Options

  - ##### ctx: SchemaContext

  #### Returns ValidatorResult

## Properties

### disableFormat

disableFormat: boolean

- Defined in node_modules/jsonschema/lib/index.d.ts:24

### errors

errors: ValidationError[]

- Defined in node_modules/jsonschema/lib/index.d.ts:22

### instance

instance: any

- Defined in node_modules/jsonschema/lib/index.d.ts:19

### propertyPath

propertyPath: string

- Defined in node_modules/jsonschema/lib/index.d.ts:21

### schema

schema: Schema

- Defined in node_modules/jsonschema/lib/index.d.ts:20

### throwError

throwError: boolean

- Defined in node_modules/jsonschema/lib/index.d.ts:23

### valid

valid: boolean

- Defined in node_modules/jsonschema/lib/index.d.ts:25

## Methods

### addError

- addError(detail: string | ErrorDetail): ValidationError

- - Defined in node_modules/jsonschema/lib/index.d.ts:26

  #### Parameters

  - ##### detail: string | ErrorDetail

  #### Returns ValidationError

### toString

- toString(): string

- - Defined in node_modules/jsonschema/lib/index.d.ts:27

  #### Returns string

Generated using TypeDoc